This is the multi-page printable view of this section. Click here to print.

Return to the regular view of this page.

Cloud Functions

Overview

Provides an Application Programming Interface (API) that supports programmatic use of IaaS/PaaS products provided by SCP.

This guide provides a brief description of Cloud Function service and how to call API. The API is provided as a RESTful API, and it responds in JSON format.

Version

VersionStatusSupported Until
1.0DEPRECATED20251231
1.1DEPRECATED20260430
1.2CURRENT-

OpenAPI URL

https://scf.{region}.{environment}.samsungsdscloud.com

Environment and Region List

environmentregion
skr-west1
skr-east1
gkr-south1
gkr-south2
gkr-south3
ekr-west1
ekr-east1

1 - APIs

1.1 - Approve PrivateLink Endpoint

1.1.1 - 1.2

put /v1/cloud-functions/{cloud_function_id}/configurations/privatelink-endpoints/{endpoint_id}/approval

Description

approve PrivateLink Endpoint

State ACTIVE (CURRENT)

VersionSupported Until
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathcloud_function_id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone
pathendpoint_id
required
Endpoint Id
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone
bodybody
required

PrivateLinkEndpointApproval

Responses

HTTP CodeDescriptionSchema
200OKPrivateLinkEndpoint
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/{cloud_function_id}/configurations/privatelink-endpoints/{endpoint_id}/approval

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scf 1.2"

Request body

{
    "type": "APPROVE"
}

Example HTTP response

Response 200

{
    "endpoint": {
        "endpoint_alias": "sample",
        "endpoint_id": "8c9f6c1c928a45b4bbd1e4da5531d656",
        "service_id": "8c9f6c1c928a45b4bbd1e4da5531d656",
        "state": "Active"
    }
}

1.2 - Check Function Name Duplication

1.2.1 - 1.2

get /v1/cloud-functions/check-duplication

Description

check name duplication

State ACTIVE (CURRENT)

VersionSupported Until
1.2-

Parameters

TypeNameDescriptionSchemaDefault
queryname
required
Name
Example : sample-function-name
stringNone

Responses

HTTP CodeDescriptionSchema
200OKDuplicationShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/check-duplication?name={name}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scf 1.2"

Example HTTP response

Response 200

{
    "result": true
}

1.2.2 - 1.1

get /v1/cloud-functions/check-duplication

Description

check name duplication

State ACTIVE (DEPRECATED)

VersionSupported Until
1.120260430

Parameters

TypeNameDescriptionSchemaDefault
queryname
required
Name
Example : sample-function-name
stringNone

Responses

HTTP CodeDescriptionSchema
200OKDuplicationShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/check-duplication?name={name}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scf 1.1"

Example HTTP response

Response 200

{
    "result": true
}

1.2.3 - 1.0

get /v1/cloud-functions/check-duplication

Description

check name duplication

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
queryname
required
Name
Example : sample-function-name
stringNone

Responses

HTTP CodeDescriptionSchema
200OKDuplicationShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/check-duplication?name={name}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scf 1.0"

Example HTTP response

Response 200

{
    "result": true
}

1.3 - Connect PrivateLink Endpoint

1.3.1 - 1.2

put /v1/cloud-functions/{cloud_function_id}/configurations/privatelink-endpoints/{endpoint_id}/connection

Description

connect PrivateLink Endpoint

State ACTIVE (CURRENT)

VersionSupported Until
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathcloud_function_id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone
pathendpoint_id
required
Endpoint Id
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone
bodybody
required

PrivateLinkEndpointConnection

Responses

HTTP CodeDescriptionSchema
200OKPrivateLinkEndpoint
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/{cloud_function_id}/configurations/privatelink-endpoints/{endpoint_id}/connection

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scf 1.2"

Request body

{
    "type": "RECONNECT"
}

Example HTTP response

Response 200

{
    "endpoint": {
        "endpoint_alias": "sample",
        "endpoint_id": "8c9f6c1c928a45b4bbd1e4da5531d656",
        "service_id": "8c9f6c1c928a45b4bbd1e4da5531d656",
        "state": "Active"
    }
}

1.4 - Create Cloud Function

1.4.1 - 1.2

post /v1/cloud-functions

Description

create a cloud function

State ACTIVE (CURRENT)

VersionSupported Until
1.2-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

CloudFunctionCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedCloudFunctionCreateResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scf 1.2"

Request body

{
    "content": "sample",
    "name": "sample-function-name",
    "runtime": "Node.js:20",
    "tags": [
        {
            "key": "",
            "value": ""
        }
    ]
}

Example HTTP response

Response 202

{
    "id": "8c9f6c1c928a45b4bbd1e4da5531d656",
    "message": "Description",
    "state": "READY"
}

1.4.2 - 1.1

post /v1/cloud-functions

Description

create a cloud function

State ACTIVE (DEPRECATED)

VersionSupported Until
1.120260430

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

CloudFunctionCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedCloudFunctionCreateResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scf 1.1"

Request body

{
    "content": "sample",
    "name": "sample-function-name",
    "runtime": "Node.js:20",
    "tags": [
        {
            "key": "",
            "value": ""
        }
    ]
}

Example HTTP response

Response 202

{
    "id": "8c9f6c1c928a45b4bbd1e4da5531d656",
    "message": "Description",
    "state": "READY"
}

1.4.3 - 1.0

post /v1/cloud-functions

Description

create a cloud function

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

CloudFunctionCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedCloudFunctionCreateResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scf 1.0"

Request body

{
    "content": "sample",
    "name": "sample-function-name",
    "runtime": "Node.js:20",
    "tags": [
        {
            "key": "",
            "value": ""
        }
    ]
}

Example HTTP response

Response 202

{
    "id": "8c9f6c1c928a45b4bbd1e4da5531d656",
    "message": "Description",
    "state": "READY"
}

1.5 - Create Cloud Function Apigateway Trigger

1.5.1 - 1.2

post /v1/triggers/apigateway

Description

create cloud-function apigateway trigger

State ACTIVE (CURRENT)

VersionSupported Until
1.2-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

ApigatewayTriggerCreateRequest

Responses

HTTP CodeDescriptionSchema
200OKTriggerCreateResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/triggers/apigateway

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scf 1.2"

Request body

{
    "apigateway_api_id": "31e749b7b260868f441e862b",
    "apigateway_stage_name": "sample",
    "cloud_function_id": "8c9f6c1c928a45b4bbd1e4da5531d656"
}

Example HTTP response

Response 200

{
    "alias": "$LATEST",
    "cloud_function_id": "8c9f6c1c928a45b4bbd1e4da5531d656",
    "triggers": [
        {
            "schedule": "* * * * 0",
            "timezone": "Asia/Tokyo",
            "trigger_id": 1,
            "trigger_name": "8c9f6c1c928a45b4bbd1e4da5531d656",
            "trigger_target_account_id": "617b3d0e90c24a5fa1f65a3824861354",
            "trigger_target_srn": "srn:dev2::f32265726b694b32920aa3b111f4c715:::iam:user/9abd88ba08434777a8ca168e799eebbe",
            "trigger_target_uuid": "8c9f6c1c928a45b4bbd1e4da5531d656",
            "trigger_type": "apigateway"
        }
    ]
}

1.5.2 - 1.1

post /v1/triggers/apigateway

Description

create cloud-function apigateway trigger

State ACTIVE (DEPRECATED)

VersionSupported Until
1.120260430

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

ApigatewayTriggerCreateRequest

Responses

HTTP CodeDescriptionSchema
200OKTriggerCreateResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/triggers/apigateway

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scf 1.1"

Request body

{
    "apigateway_api_id": "31e749b7b260868f441e862b",
    "apigateway_stage_name": "sample",
    "cloud_function_id": "8c9f6c1c928a45b4bbd1e4da5531d656"
}

Example HTTP response

Response 200

{
    "alias": "$LATEST",
    "cloud_function_id": "8c9f6c1c928a45b4bbd1e4da5531d656",
    "triggers": [
        {
            "schedule": "* * * * 0",
            "timezone": "Asia/Tokyo",
            "trigger_id": 1,
            "trigger_name": "8c9f6c1c928a45b4bbd1e4da5531d656",
            "trigger_target_account_id": "617b3d0e90c24a5fa1f65a3824861354",
            "trigger_target_srn": "srn:dev2::f32265726b694b32920aa3b111f4c715:::iam:user/9abd88ba08434777a8ca168e799eebbe",
            "trigger_target_uuid": "8c9f6c1c928a45b4bbd1e4da5531d656",
            "trigger_type": "apigateway"
        }
    ]
}

1.5.3 - 1.0

post /v1/triggers/apigateway

Description

create cloud-function apigateway trigger

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

ApigatewayTriggerCreateRequest

Responses

HTTP CodeDescriptionSchema
200OKTriggerCreateResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/triggers/apigateway

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scf 1.0"

Request body

{
    "apigateway_api_id": "31e749b7b260868f441e862b",
    "apigateway_stage_name": "sample",
    "cloud_function_id": "8c9f6c1c928a45b4bbd1e4da5531d656"
}

Example HTTP response

Response 200

{
    "alias": "$LATEST",
    "cloud_function_id": "8c9f6c1c928a45b4bbd1e4da5531d656",
    "triggers": [
        {
            "schedule": "* * * * 0",
            "timezone": "Asia/Tokyo",
            "trigger_id": 1,
            "trigger_name": "8c9f6c1c928a45b4bbd1e4da5531d656",
            "trigger_target_account_id": "617b3d0e90c24a5fa1f65a3824861354",
            "trigger_target_srn": "srn:dev2::f32265726b694b32920aa3b111f4c715:::iam:user/9abd88ba08434777a8ca168e799eebbe",
            "trigger_target_uuid": "8c9f6c1c928a45b4bbd1e4da5531d656",
            "trigger_type": "apigateway"
        }
    ]
}

1.6 - Create Cloud Function Cronjob Trigger

1.6.1 - 1.2

post /v1/triggers/cronjob

Description

create cloud-function cronjob trigger

State ACTIVE (CURRENT)

VersionSupported Until
1.2-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

CronjobTriggerCreateRequest

Responses

HTTP CodeDescriptionSchema
200OKTriggerCreateResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/triggers/cronjob

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scf 1.2"

Request body

{
    "cloud_function_id": "8c9f6c1c928a45b4bbd1e4da5531d656",
    "schedule": "* * * * 0",
    "timezone": "Asia/Tokyo"
}

Example HTTP response

Response 200

{
    "alias": "$LATEST",
    "cloud_function_id": "8c9f6c1c928a45b4bbd1e4da5531d656",
    "triggers": [
        {
            "schedule": "* * * * 0",
            "timezone": "Asia/Tokyo",
            "trigger_id": 1,
            "trigger_name": "8c9f6c1c928a45b4bbd1e4da5531d656",
            "trigger_target_account_id": "617b3d0e90c24a5fa1f65a3824861354",
            "trigger_target_srn": "srn:dev2::f32265726b694b32920aa3b111f4c715:::iam:user/9abd88ba08434777a8ca168e799eebbe",
            "trigger_target_uuid": "8c9f6c1c928a45b4bbd1e4da5531d656",
            "trigger_type": "apigateway"
        }
    ]
}

1.6.2 - 1.1

post /v1/triggers/cronjob

Description

create cloud-function cronjob trigger

State ACTIVE (DEPRECATED)

VersionSupported Until
1.120260430

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

CronjobTriggerCreateRequest

Responses

HTTP CodeDescriptionSchema
200OKTriggerCreateResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/triggers/cronjob

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scf 1.1"

Request body

{
    "cloud_function_id": "8c9f6c1c928a45b4bbd1e4da5531d656",
    "schedule": "* * * * 0",
    "timezone": "Asia/Tokyo"
}

Example HTTP response

Response 200

{
    "alias": "$LATEST",
    "cloud_function_id": "8c9f6c1c928a45b4bbd1e4da5531d656",
    "triggers": [
        {
            "schedule": "* * * * 0",
            "timezone": "Asia/Tokyo",
            "trigger_id": 1,
            "trigger_name": "8c9f6c1c928a45b4bbd1e4da5531d656",
            "trigger_target_account_id": "617b3d0e90c24a5fa1f65a3824861354",
            "trigger_target_srn": "srn:dev2::f32265726b694b32920aa3b111f4c715:::iam:user/9abd88ba08434777a8ca168e799eebbe",
            "trigger_target_uuid": "8c9f6c1c928a45b4bbd1e4da5531d656",
            "trigger_type": "apigateway"
        }
    ]
}

1.6.3 - 1.0

post /v1/triggers/cronjob

Description

create cloud-function cronjob trigger

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

CronjobTriggerCreateRequest

Responses

HTTP CodeDescriptionSchema
200OKTriggerCreateResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/triggers/cronjob

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scf 1.0"

Request body

{
    "cloud_function_id": "8c9f6c1c928a45b4bbd1e4da5531d656",
    "schedule": "* * * * 0",
    "timezone": "Asia/Tokyo"
}

Example HTTP response

Response 200

{
    "alias": "$LATEST",
    "cloud_function_id": "8c9f6c1c928a45b4bbd1e4da5531d656",
    "triggers": [
        {
            "schedule": "* * * * 0",
            "timezone": "Asia/Tokyo",
            "trigger_id": 1,
            "trigger_name": "8c9f6c1c928a45b4bbd1e4da5531d656",
            "trigger_target_account_id": "617b3d0e90c24a5fa1f65a3824861354",
            "trigger_target_srn": "srn:dev2::f32265726b694b32920aa3b111f4c715:::iam:user/9abd88ba08434777a8ca168e799eebbe",
            "trigger_target_uuid": "8c9f6c1c928a45b4bbd1e4da5531d656",
            "trigger_type": "apigateway"
        }
    ]
}

1.7 - Create PrivateLink Endpoint

1.7.1 - 1.2

post /v1/cloud-functions/{cloud_function_id}/configurations/privatelink-endpoints

Description

create privateLink endpoint

State ACTIVE (CURRENT)

VersionSupported Until
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathcloud_function_id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone
bodybody
required

PrivateLinkEndpointCreateRequest

Responses

HTTP CodeDescriptionSchema
200OKPrivateLinkEndpoint
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/{cloud_function_id}/configurations/privatelink-endpoints

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scf 1.2"

Request body

{
    "endpoint": {
        "alias": "sample",
        "service_id": "8c9f6c1c928a45b4bbd1e4da5531d656"
    }
}

Example HTTP response

Response 200

{
    "endpoint": {
        "endpoint_alias": "sample",
        "endpoint_id": "8c9f6c1c928a45b4bbd1e4da5531d656",
        "service_id": "8c9f6c1c928a45b4bbd1e4da5531d656",
        "state": "Active"
    }
}

1.8 - Delete Cloud Function

1.8.1 - 1.2

delete /v1/cloud-functions/{cloud_function_id}

Description

delete a specific cloud function

State ACTIVE (CURRENT)

VersionSupported Until
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathcloud_function_id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone

Responses

HTTP CodeDescriptionSchema
204No ContentNone
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/{cloud_function_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scf 1.2"

Example HTTP response

Response 204

1.8.2 - 1.1

delete /v1/cloud-functions/{cloud_function_id}

Description

delete a specific cloud function

State ACTIVE (DEPRECATED)

VersionSupported Until
1.120260430

Parameters

TypeNameDescriptionSchemaDefault
pathcloud_function_id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone

Responses

HTTP CodeDescriptionSchema
204No ContentNone
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/{cloud_function_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scf 1.1"

Example HTTP response

Response 204

1.8.3 - 1.0

delete /v1/cloud-functions/{cloud_function_id}

Description

delete a specific cloud function

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathcloud_function_id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone

Responses

HTTP CodeDescriptionSchema
204No ContentNone
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/{cloud_function_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scf 1.0"

Example HTTP response

Response 204

1.9 - Delete Cloud Function Trigger

1.9.1 - 1.2

delete /v1/triggers/{trigger_id}

Description

delete a specific cloud function trigger

State ACTIVE (CURRENT)

VersionSupported Until
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathtrigger_id
required
Trigger ID
Example : 1
integerNone
bodybody
required

TriggerDeleteRequest

Responses

HTTP CodeDescriptionSchema
204No ContentNone
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/triggers/{trigger_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scf 1.2"

Request body

{
    "cloud_function_id": "8c9f6c1c928a45b4bbd1e4da5531d656",
    "trigger_type": "apigateway"
}

Example HTTP response

Response 204

1.9.2 - 1.1

delete /v1/triggers/{trigger_id}

Description

delete a specific cloud function trigger

State ACTIVE (DEPRECATED)

VersionSupported Until
1.120260430

Parameters

TypeNameDescriptionSchemaDefault
pathtrigger_id
required
Trigger ID
Example : 1
integerNone
bodybody
required

TriggerDeleteRequest

Responses

HTTP CodeDescriptionSchema
204No ContentNone
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/triggers/{trigger_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scf 1.1"

Request body

{
    "cloud_function_id": "8c9f6c1c928a45b4bbd1e4da5531d656",
    "trigger_type": "apigateway"
}

Example HTTP response

Response 204

1.9.3 - 1.0

delete /v1/triggers/{trigger_id}

Description

delete a specific cloud function trigger

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathtrigger_id
required
Trigger ID
Example : 1
integerNone
bodybody
required

TriggerDeleteRequest

Responses

HTTP CodeDescriptionSchema
204No ContentNone
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/triggers/{trigger_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scf 1.0"

Request body

{
    "cloud_function_id": "8c9f6c1c928a45b4bbd1e4da5531d656",
    "trigger_type": "apigateway"
}

Example HTTP response

Response 204

1.10 - Delete PrivateLink Endpoint

1.10.1 - 1.2

delete /v1/cloud-functions/{cloud_function_id}/configurations/privatelink-endpoints/{endpoint_id}

Description

delete privateLink endpoint

State ACTIVE (CURRENT)

VersionSupported Until
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathcloud_function_id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone
pathendpoint_id
required
Endpoint Id
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone

Responses

HTTP CodeDescriptionSchema
204No ContentNone
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/{cloud_function_id}/configurations/privatelink-endpoints/{endpoint_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scf 1.2"

Example HTTP response

Response 204

1.11 - List Cloud Function Triggers

1.11.1 - 1.2

get /v1/triggers

Description

list cloud-function triggers

State ACTIVE (CURRENT)

VersionSupported Until
1.2-

Parameters

TypeNameDescriptionSchemaDefault
querysort
optional
sort
Example : name:asc
any of [string, null]None
querypage
optional
page
Example : 0
any of [integer, null]None
querysize
optional
size
Example : 20
any of [integer, null]None
querycloud_function_id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone
querytrigger_name
optional
Trigger name
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
any of [string, null]None
querytrigger_type
optional
Trigger type
Example : apigateway
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKTriggersResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/triggers?cloud_function_id={cloud_function_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scf 1.2"

Example HTTP response

Response 200

{
    "alias": "$LATEST",
    "count": 20,
    "triggers": [
        {
            "schedule": "* * * * 0",
            "timezone": "Asia/Tokyo",
            "trigger_id": 1,
            "trigger_name": "8c9f6c1c928a45b4bbd1e4da5531d656",
            "trigger_target_account_id": "617b3d0e90c24a5fa1f65a3824861354",
            "trigger_target_srn": "srn:dev2::f32265726b694b32920aa3b111f4c715:::iam:user/9abd88ba08434777a8ca168e799eebbe",
            "trigger_target_uuid": "8c9f6c1c928a45b4bbd1e4da5531d656",
            "trigger_type": "apigateway"
        }
    ]
}

1.11.2 - 1.1

get /v1/triggers

Description

list cloud-function triggers

State ACTIVE (DEPRECATED)

VersionSupported Until
1.120260430

Parameters

TypeNameDescriptionSchemaDefault
querysort
optional
sort
Example : name:asc
any of [string, null]None
querypage
optional
page
Example : 0
any of [integer, null]None
querysize
optional
size
Example : 20
any of [integer, null]None
querycloud_function_id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone
querytrigger_name
optional
Trigger name
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
any of [string, null]None
querytrigger_type
optional
Trigger type
Example : apigateway
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKTriggersResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/triggers?cloud_function_id={cloud_function_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scf 1.1"

Example HTTP response

Response 200

{
    "alias": "$LATEST",
    "count": 20,
    "triggers": [
        {
            "schedule": "* * * * 0",
            "timezone": "Asia/Tokyo",
            "trigger_id": 1,
            "trigger_name": "8c9f6c1c928a45b4bbd1e4da5531d656",
            "trigger_target_account_id": "617b3d0e90c24a5fa1f65a3824861354",
            "trigger_target_srn": "srn:dev2::f32265726b694b32920aa3b111f4c715:::iam:user/9abd88ba08434777a8ca168e799eebbe",
            "trigger_target_uuid": "8c9f6c1c928a45b4bbd1e4da5531d656",
            "trigger_type": "apigateway"
        }
    ]
}

1.11.3 - 1.0

get /v1/triggers

Description

list cloud-function triggers

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
querysort
optional
sort
Example : name:asc
any of [string, null]None
querypage
optional
page
Example : 0
any of [integer, null]None
querysize
optional
size
Example : 20
any of [integer, null]None
querycloud_function_id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone
querytrigger_name
optional
Trigger name
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
any of [string, null]None
querytrigger_type
optional
Trigger type
Example : apigateway
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKTriggersResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/triggers?cloud_function_id={cloud_function_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scf 1.0"

Example HTTP response

Response 200

{
    "alias": "$LATEST",
    "count": 20,
    "triggers": [
        {
            "schedule": "* * * * 0",
            "timezone": "Asia/Tokyo",
            "trigger_id": 1,
            "trigger_name": "8c9f6c1c928a45b4bbd1e4da5531d656",
            "trigger_target_account_id": "617b3d0e90c24a5fa1f65a3824861354",
            "trigger_target_srn": "srn:dev2::f32265726b694b32920aa3b111f4c715:::iam:user/9abd88ba08434777a8ca168e799eebbe",
            "trigger_target_uuid": "8c9f6c1c928a45b4bbd1e4da5531d656",
            "trigger_type": "apigateway"
        }
    ]
}

1.12 - List Cloud Functions

1.12.1 - 1.2

get /v1/cloud-functions

Description

get cloud functions list

State ACTIVE (CURRENT)

VersionSupported Until
1.2-

Parameters

TypeNameDescriptionSchemaDefault
querysort
optional
sort
Example : name:asc
any of [string, null]None
querypage
optional
page
Example : 0
any of [integer, null]None
querysize
optional
size
Example : 20
any of [integer, null]None
queryname
optional
Name
Example : sample-function-name
any of [string, null]None
querystate
optional
Cloud function state
Example : READY
any of [array[string], string, null]None
queryruntime
optional
Runtime
Example : Node.js:20
any of [array[string], string, null]None

Responses

HTTP CodeDescriptionSchema
200OKCloudFunctionListResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scf 1.2"

Example HTTP response

Response 200

{
    "cloud_functions": [
        {
            "account_id": "617b3d0e90c24a5fa1f65a3824861354",
            "created_at": "2025-05-22T06:21:17.580522",
            "function_url": "https://33b532c466824bcf9324101a3c6f3015.kr-west1.dev2.samsungsdscloud.com/cloudfunctions-hello",
            "id": "8c9f6c1c928a45b4bbd1e4da5531d656",
            "name": "sample",
            "runtime": "Node.js:20",
            "state": "READY",
            "user_id": "617b3d0e90c24a5fa1f65a3824861354"
        }
    ],
    "count": 20
}

1.12.2 - 1.1

get /v1/cloud-functions

Description

get cloud functions list

State ACTIVE (DEPRECATED)

VersionSupported Until
1.120260430

Parameters

TypeNameDescriptionSchemaDefault
querysort
optional
sort
Example : name:asc
any of [string, null]None
querypage
optional
page
Example : 0
any of [integer, null]None
querysize
optional
size
Example : 20
any of [integer, null]None
queryname
optional
Name
Example : sample-function-name
any of [string, null]None
querystate
optional
Cloud function state
Example : READY
any of [array[string], string, null]None
queryruntime
optional
Runtime
Example : Node.js:20
any of [array[string], string, null]None

Responses

HTTP CodeDescriptionSchema
200OKCloudFunctionListResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scf 1.1"

Example HTTP response

Response 200

{
    "cloud_functions": [
        {
            "account_id": "617b3d0e90c24a5fa1f65a3824861354",
            "created_at": "2025-05-22T06:21:17.580522",
            "function_url": "https://33b532c466824bcf9324101a3c6f3015.kr-west1.dev2.samsungsdscloud.com/cloudfunctions-hello",
            "id": "8c9f6c1c928a45b4bbd1e4da5531d656",
            "name": "sample",
            "runtime": "Node.js:20",
            "state": "READY",
            "user_id": "617b3d0e90c24a5fa1f65a3824861354"
        }
    ],
    "count": 20
}

1.12.3 - 1.0

get /v1/cloud-functions

Description

get cloud functions list

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
querysort
optional
sort
Example : name:asc
any of [string, null]None
querypage
optional
page
Example : 0
any of [integer, null]None
querysize
optional
size
Example : 20
any of [integer, null]None
queryname
optional
Name
Example : sample-function-name
any of [string, null]None
querystate
optional
Cloud function state
Example : READY
any of [array[string], string, null]None
queryruntime
optional
Runtime
Example : Node.js:20
any of [array[string], string, null]None

Responses

HTTP CodeDescriptionSchema
200OKCloudFunctionListResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scf 1.0"

Example HTTP response

Response 200

{
    "cloud_functions": [
        {
            "account_id": "617b3d0e90c24a5fa1f65a3824861354",
            "created_at": "2025-05-22T06:21:17.580522",
            "function_url": "https://33b532c466824bcf9324101a3c6f3015.kr-west1.dev2.samsungsdscloud.com/cloudfunctions-hello",
            "id": "8c9f6c1c928a45b4bbd1e4da5531d656",
            "name": "sample",
            "runtime": "Node.js:20",
            "state": "READY",
            "user_id": "617b3d0e90c24a5fa1f65a3824861354"
        }
    ],
    "count": 20
}

1.13 - List Runtimes

1.13.1 - 1.2

get /v1/cloud-functions/runtimes

Description

list runtimes

State ACTIVE (CURRENT)

VersionSupported Until
1.2-

Responses

HTTP CodeDescriptionSchema
200OKRuntimeListResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/runtimes

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scf 1.2"

Example HTTP response

Response 200

{
    "count": "3",
    "runtimes": [
        {
            "base_image_seq": "3",
            "name": "sample",
            "version": "1.0.0"
        }
    ]
}

1.13.2 - 1.1

get /v1/cloud-functions/runtimes

Description

list runtimes

State ACTIVE (DEPRECATED)

VersionSupported Until
1.120260430

Responses

HTTP CodeDescriptionSchema
200OKRuntimeListResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/runtimes

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scf 1.1"

Example HTTP response

Response 200

{
    "count": "3",
    "runtimes": [
        {
            "base_image_seq": "3",
            "name": "sample",
            "version": "1.0.0"
        }
    ]
}

1.13.3 - 1.0

get /v1/cloud-functions/runtimes

Description

list runtimes

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Responses

HTTP CodeDescriptionSchema
200OKRuntimeListResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/runtimes

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scf 1.0"

Example HTTP response

Response 200

{
    "count": "3",
    "runtimes": [
        {
            "base_image_seq": "3",
            "name": "sample",
            "version": "1.0.0"
        }
    ]
}

1.14 - List Sample Codes

1.14.1 - 1.2

get /v1/cloud-functions/sample-codes

Description

List sample codes

State ACTIVE (CURRENT)

VersionSupported Until
1.2-

Responses

HTTP CodeDescriptionSchema
200OKSampleCodesListResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/sample-codes

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scf 1.2"

Example HTTP response

Response 200

{
    "count": "3",
    "sample_codes": [
        {
            "content": "sample",
            "default": false,
            "description": "sample",
            "name": "sample",
            "runtime": "Node.js:20",
            "seq": "3",
            "version": "sample"
        }
    ]
}

1.14.2 - 1.1

get /v1/cloud-functions/sample-codes

Description

List sample codes

State ACTIVE (DEPRECATED)

VersionSupported Until
1.120260430

Responses

HTTP CodeDescriptionSchema
200OKSampleCodesListResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/sample-codes

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scf 1.1"

Example HTTP response

Response 200

{
    "count": "3",
    "sample_codes": [
        {
            "content": "sample",
            "default": false,
            "description": "sample",
            "name": "sample",
            "runtime": "Node.js:20",
            "seq": "3",
            "version": "sample"
        }
    ]
}

1.14.3 - 1.0

get /v1/cloud-functions/sample-codes

Description

List sample codes

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Responses

HTTP CodeDescriptionSchema
200OKSampleCodesListResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/sample-codes

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scf 1.0"

Example HTTP response

Response 200

{
    "count": "3",
    "sample_codes": [
        {
            "content": "sample",
            "default": false,
            "description": "sample",
            "name": "sample",
            "runtime": "Node.js:20",
            "seq": "3",
            "version": "sample"
        }
    ]
}

1.15 - Request PrivateLink Endpoint

1.15.1 - 1.2

put /v1/cloud-functions/{cloud_function_id}/configurations/privatelink-endpoints/{endpoint_id}/request

Description

request privatelink endpoint

State ACTIVE (CURRENT)

VersionSupported Until
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathcloud_function_id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone
pathendpoint_id
required
Endpoint Id
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone
bodybody
required

PrivateLinkEndpointRequest

Responses

HTTP CodeDescriptionSchema
200OKPrivateLinkEndpoint
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/{cloud_function_id}/configurations/privatelink-endpoints/{endpoint_id}/request

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scf 1.2"

Request body

{
    "type": "CANCEL"
}

Example HTTP response

Response 200

{
    "endpoint": {
        "endpoint_alias": "sample",
        "endpoint_id": "8c9f6c1c928a45b4bbd1e4da5531d656",
        "service_id": "8c9f6c1c928a45b4bbd1e4da5531d656",
        "state": "Active"
    }
}

1.16 - Show Cloud Function

1.16.1 - 1.2

get /v1/cloud-functions/{cloud_function_id}

Description

show a specific cloud function

State ACTIVE (CURRENT)

VersionSupported Until
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathcloud_function_id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone

Responses

HTTP CodeDescriptionSchema
200OKCloudFunctionShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/{cloud_function_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scf 1.2"

Example HTTP response

Response 200

{
    "cloud_function": {
        "account_id": "617b3d0e90c24a5fa1f65a3824861354",
        "function_url": "https://33b532c466824bcf9324101a3c6f3015.kr-west1.dev2.samsungsdscloud.com/cloudfunctions-hello",
        "id": "8c9f6c1c928a45b4bbd1e4da5531d656",
        "name": "sample",
        "runtime": "Node.js:20",
        "state": "READY",
        "user_id": "617b3d0e90c24a5fa1f65a3824861354"
    }
}

1.16.2 - 1.1

get /v1/cloud-functions/{cloud_function_id}

Description

show a specific cloud function

State ACTIVE (DEPRECATED)

VersionSupported Until
1.120260430

Parameters

TypeNameDescriptionSchemaDefault
pathcloud_function_id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone

Responses

HTTP CodeDescriptionSchema
200OKCloudFunctionShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/{cloud_function_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scf 1.1"

Example HTTP response

Response 200

{
    "cloud_function": {
        "account_id": "617b3d0e90c24a5fa1f65a3824861354",
        "function_url": "https://33b532c466824bcf9324101a3c6f3015.kr-west1.dev2.samsungsdscloud.com/cloudfunctions-hello",
        "id": "8c9f6c1c928a45b4bbd1e4da5531d656",
        "name": "sample",
        "runtime": "Node.js:20",
        "state": "READY",
        "user_id": "617b3d0e90c24a5fa1f65a3824861354"
    }
}

1.16.3 - 1.0

get /v1/cloud-functions/{cloud_function_id}

Description

show a specific cloud function

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathcloud_function_id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone

Responses

HTTP CodeDescriptionSchema
200OKCloudFunctionShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/{cloud_function_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scf 1.0"

Example HTTP response

Response 200

{
    "cloud_function": {
        "account_id": "617b3d0e90c24a5fa1f65a3824861354",
        "function_url": "https://33b532c466824bcf9324101a3c6f3015.kr-west1.dev2.samsungsdscloud.com/cloudfunctions-hello",
        "id": "8c9f6c1c928a45b4bbd1e4da5531d656",
        "name": "sample",
        "runtime": "Node.js:20",
        "state": "READY",
        "user_id": "617b3d0e90c24a5fa1f65a3824861354"
    }
}

1.17 - Show Cloud Function Code

1.17.1 - 1.2

get /v1/cloud-functions/{cloud_function_id}/codes

Description

show a specific cloud_function code

State ACTIVE (CURRENT)

VersionSupported Until
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathcloud_function_id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone

Responses

HTTP CodeDescriptionSchema
200OKCode
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/{cloud_function_id}/codes

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scf 1.2"

Example HTTP response

Response 200

{
    "class_name": "com.example.Handler",
    "code_text": "ZXhwb3J0cy5oYW5kbGVSZXF1ZXN0ID0gYXN5bmM==",
    "code_type": "text",
    "file_name": "sample",
    "file_transfer_status": "sample",
    "file_upload_at": "2025-05-17 00:23:17",
    "method_name": "handleRequest",
    "runtime": "Node.js:20"
}

1.17.2 - 1.1

get /v1/cloud-functions/{cloud_function_id}/codes

Description

show a specific cloud_function code

State ACTIVE (DEPRECATED)

VersionSupported Until
1.120260430

Parameters

TypeNameDescriptionSchemaDefault
pathcloud_function_id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone

Responses

HTTP CodeDescriptionSchema
200OKCode
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/{cloud_function_id}/codes

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scf 1.1"

Example HTTP response

Response 200

{
    "class_name": "com.example.Handler",
    "code_text": "ZXhwb3J0cy5oYW5kbGVSZXF1ZXN0ID0gYXN5bmM==",
    "code_type": "text",
    "file_name": "sample",
    "file_transfer_status": "sample",
    "file_upload_at": "2025-05-17 00:23:17",
    "method_name": "handleRequest",
    "runtime": "Node.js:20"
}

1.17.3 - 1.0

get /v1/cloud-functions/{cloud_function_id}/codes

Description

show a specific cloud_function code

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathcloud_function_id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone

Responses

HTTP CodeDescriptionSchema
200OKCode
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/{cloud_function_id}/codes

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scf 1.0"

Example HTTP response

Response 200

{
    "class_name": "com.example.Handler",
    "code_text": "ZXhwb3J0cy5oYW5kbGVSZXF1ZXN0ID0gYXN5bmM==",
    "code_type": "text",
    "file_name": "sample",
    "file_transfer_status": "sample",
    "file_upload_at": "2025-05-17 00:23:17",
    "method_name": "handleRequest",
    "runtime": "Node.js:20"
}

1.18 - Show Cloud Function Configuration

1.18.1 - 1.2

get /v1/cloud-functions/{cloud_function_id}/configurations

Description

show a specific cloud-function configuration

State ACTIVE (CURRENT)

VersionSupported Until
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathcloud_function_id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone

Responses

HTTP CodeDescriptionSchema
200OKConfigurationV1Dot2
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/{cloud_function_id}/configurations

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scf 1.2"

Example HTTP response

Response 200

{
    "config": {
        "max_scale": "5",
        "memory": "256",
        "min_scale": "1",
        "timeout": "100"
    },
    "privatelink_endpoints": [],
    "privatelink_service": {
        "private_url": "https://sample.scf.private.kr-west1.e.samsungsdscloud.com",
        "privatelink_service_enabled": true,
        "privatelink_service_id": "ba30549f550141ef9af6546543s",
        "privatelink_service_name": "PRIVATELINKSERVICE",
        "requested_endpoints": []
    },
    "url": {
        "allow_ips": [
            ""
        ],
        "auth_type": "NONE",
        "public_endpoint_url": "https://scf.33b532c466824bcf9324101a3c6f3015.kr-west1.dev2.samsungsdscloud.com/sample-function",
        "public_ip_acl_enabled": true,
        "url_enabled": true
    },
    "variables": [
        {
            "key": "sample",
            "value": "sample"
        }
    ]
}

1.18.2 - 1.1

get /v1/cloud-functions/{cloud_function_id}/configurations

Description

show a specific cloud-function configuration

State ACTIVE (DEPRECATED)

VersionSupported Until
1.120260430

Parameters

TypeNameDescriptionSchemaDefault
pathcloud_function_id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone

Responses

HTTP CodeDescriptionSchema
200OKConfiguration
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/{cloud_function_id}/configurations

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scf 1.1"

Example HTTP response

Response 200

{
    "config": {
        "max_scale": "5",
        "memory": "256",
        "min_scale": "1",
        "timeout": "100"
    },
    "url": {
        "allow_ips": [
            ""
        ],
        "auth_type": "NONE",
        "public_endpoint_url": "https://scf.33b532c466824bcf9324101a3c6f3015.kr-west1.dev2.samsungsdscloud.com/sample-function",
        "public_ip_acl_enabled": true,
        "url_enabled": true
    },
    "variables": [
        {
            "key": "sample",
            "value": "sample"
        }
    ]
}

1.18.3 - 1.0

get /v1/cloud-functions/{cloud_function_id}/configurations

Description

show a specific cloud-function configuration

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathcloud_function_id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone

Responses

HTTP CodeDescriptionSchema
200OKConfiguration
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/{cloud_function_id}/configurations

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scf 1.0"

Example HTTP response

Response 200

{
    "config": {
        "max_scale": "5",
        "memory": "256",
        "min_scale": "1",
        "timeout": "100"
    },
    "url": {
        "allow_ips": [
            ""
        ],
        "auth_type": "NONE",
        "public_endpoint_url": "https://scf.33b532c466824bcf9324101a3c6f3015.kr-west1.dev2.samsungsdscloud.com/sample-function",
        "public_ip_acl_enabled": true,
        "url_enabled": true
    },
    "variables": [
        {
            "key": "sample",
            "value": "sample"
        }
    ]
}

1.19 - Show Cloud Function Logs

1.19.1 - 1.2

get /v1/cloud-functions/{cloud_function_id}/logs

Description

show a specific cloud-function logs

State ACTIVE (CURRENT)

VersionSupported Until
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathcloud_function_id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone
querytime
optional
Time
Example : 3
any of [integer, null]None
querystart
optional
Start
Example : 20250517
any of [string, null]None
queryend
optional
End
Example : 20250517
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKLogShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/{cloud_function_id}/logs

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scf 1.2"

Example HTTP response

Response 200

{
    "count": "3",
    "logs": [
        {
            "log": "[2025-05-12 11:04:12] START RequestId : 04680bac - ad76-4e0a-997e-e35b6275cb67 Version : $LATEST",
            "time": "2025-05-17 00:23:17"
        }
    ]
}

1.19.2 - 1.1

get /v1/cloud-functions/{cloud_function_id}/logs

Description

show a specific cloud-function logs

State ACTIVE (DEPRECATED)

VersionSupported Until
1.120260430

Parameters

TypeNameDescriptionSchemaDefault
pathcloud_function_id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone
querytime
optional
Time
Example : 3
any of [integer, null]None
querystart
optional
Start
Example : 20250517
any of [string, null]None
queryend
optional
End
Example : 20250517
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKLogShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/{cloud_function_id}/logs

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scf 1.1"

Example HTTP response

Response 200

{
    "count": "3",
    "logs": [
        {
            "log": "[2025-05-12 11:04:12] START RequestId : 04680bac - ad76-4e0a-997e-e35b6275cb67 Version : $LATEST",
            "time": "2025-05-17 00:23:17"
        }
    ]
}

1.19.3 - 1.0

get /v1/cloud-functions/{cloud_function_id}/logs

Description

show a specific cloud-function logs

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathcloud_function_id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone
querytime
optional
Time
Example : 3
any of [integer, null]None
querystart
optional
Start
Example : 20250517
any of [string, null]None
queryend
optional
End
Example : 20250517
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKLogShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/{cloud_function_id}/logs

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scf 1.0"

Example HTTP response

Response 200

{
    "count": "3",
    "logs": [
        {
            "log": "[2025-05-12 11:04:12] START RequestId : 04680bac - ad76-4e0a-997e-e35b6275cb67 Version : $LATEST",
            "time": "2025-05-17 00:23:17"
        }
    ]
}

1.20 - Show Cloud Function Metrics

1.20.1 - 1.2

get /v1/cloud-functions/{cloud_function_id}/metrics

Description

show a specific cloud-function metrics

State ACTIVE (CURRENT)

VersionSupported Until
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathcloud_function_id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone
querytime
optional
Time
Example : 3
any of [integer, null]None
querystart
optional
Start
Example : 20250517
any of [string, null]None
queryend
optional
End
Example : 20250517
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKMetricShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/{cloud_function_id}/metrics

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scf 1.2"

Example HTTP response

Response 200

{
    "actual_pods": [
        {
            "metric_data": "1.0033444816053512",
            "time": "16:37"
        }
    ],
    "fail_count": [
        {
            "metric_data": "1.0033444816053512",
            "time": "16:37"
        }
    ],
    "function_memory": [
        {
            "metric_data": "1.0033444816053512",
            "time": "16:37"
        }
    ],
    "request_count": [
        {
            "metric_data": "1.0033444816053512",
            "time": "16:37"
        }
    ],
    "request_latency": [
        {
            "metric_data": "1.0033444816053512",
            "time": "16:37"
        }
    ],
    "success_count": [
        {
            "metric_data": "1.0033444816053512",
            "time": "16:37"
        }
    ]
}

1.20.2 - 1.1

get /v1/cloud-functions/{cloud_function_id}/metrics

Description

show a specific cloud-function metrics

State ACTIVE (DEPRECATED)

VersionSupported Until
1.120260430

Parameters

TypeNameDescriptionSchemaDefault
pathcloud_function_id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone
querytime
optional
Time
Example : 3
any of [integer, null]None
querystart
optional
Start
Example : 20250517
any of [string, null]None
queryend
optional
End
Example : 20250517
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKMetricShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/{cloud_function_id}/metrics

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scf 1.1"

Example HTTP response

Response 200

{
    "actual_pods": [
        {
            "metric_data": "1.0033444816053512",
            "time": "16:37"
        }
    ],
    "fail_count": [
        {
            "metric_data": "1.0033444816053512",
            "time": "16:37"
        }
    ],
    "function_memory": [
        {
            "metric_data": "1.0033444816053512",
            "time": "16:37"
        }
    ],
    "request_count": [
        {
            "metric_data": "1.0033444816053512",
            "time": "16:37"
        }
    ],
    "request_latency": [
        {
            "metric_data": "1.0033444816053512",
            "time": "16:37"
        }
    ],
    "success_count": [
        {
            "metric_data": "1.0033444816053512",
            "time": "16:37"
        }
    ]
}

1.20.3 - 1.0

get /v1/cloud-functions/{cloud_function_id}/metrics

Description

show a specific cloud-function metrics

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathcloud_function_id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone
querytime
optional
Time
Example : 3
any of [integer, null]None
querystart
optional
Start
Example : 20250517
any of [string, null]None
queryend
optional
End
Example : 20250517
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKMetricShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/{cloud_function_id}/metrics

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scf 1.0"

Example HTTP response

Response 200

{
    "actual_pods": [
        {
            "metric_data": "1.0033444816053512",
            "time": "16:37"
        }
    ],
    "fail_count": [
        {
            "metric_data": "1.0033444816053512",
            "time": "16:37"
        }
    ],
    "function_memory": [
        {
            "metric_data": "1.0033444816053512",
            "time": "16:37"
        }
    ],
    "request_count": [
        {
            "metric_data": "1.0033444816053512",
            "time": "16:37"
        }
    ],
    "request_latency": [
        {
            "metric_data": "1.0033444816053512",
            "time": "16:37"
        }
    ],
    "success_count": [
        {
            "metric_data": "1.0033444816053512",
            "time": "16:37"
        }
    ]
}

1.21 - Show Cloud Function Trigger

1.21.1 - 1.2

get /v1/triggers/{trigger_id}

Description

show a specific cloud-function trigger

State ACTIVE (CURRENT)

VersionSupported Until
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathtrigger_id
required
Trigger ID
Example : 1
integerNone

Responses

HTTP CodeDescriptionSchema
200OKTrigger
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/triggers/{trigger_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scf 1.2"

Example HTTP response

Response 200

{
    "alias": "$LATEST",
    "schedule": "* * * * 0",
    "timezone": "Asia/Tokyo",
    "trigger_id": 1,
    "trigger_name": "8c9f6c1c928a45b4bbd1e4da5531d656",
    "trigger_sid": "617b3d0e90c24a5fa1f65a3824861354",
    "trigger_target_account_id": "617b3d0e90c24a5fa1f65a3824861354",
    "trigger_target_srn": "srn:dev2::f32265726b694b32920aa3b111f4c715:::iam:user/9abd88ba08434777a8ca168e799eebbe",
    "trigger_target_uuid": "8c9f6c1c928a45b4bbd1e4da5531d656",
    "trigger_type": "apigateway"
}

1.21.2 - 1.1

get /v1/triggers/{trigger_id}

Description

show a specific cloud-function trigger

State ACTIVE (DEPRECATED)

VersionSupported Until
1.120260430

Parameters

TypeNameDescriptionSchemaDefault
pathtrigger_id
required
Trigger ID
Example : 1
integerNone

Responses

HTTP CodeDescriptionSchema
200OKTrigger
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/triggers/{trigger_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scf 1.1"

Example HTTP response

Response 200

{
    "alias": "$LATEST",
    "schedule": "* * * * 0",
    "timezone": "Asia/Tokyo",
    "trigger_id": 1,
    "trigger_name": "8c9f6c1c928a45b4bbd1e4da5531d656",
    "trigger_sid": "617b3d0e90c24a5fa1f65a3824861354",
    "trigger_target_account_id": "617b3d0e90c24a5fa1f65a3824861354",
    "trigger_target_srn": "srn:dev2::f32265726b694b32920aa3b111f4c715:::iam:user/9abd88ba08434777a8ca168e799eebbe",
    "trigger_target_uuid": "8c9f6c1c928a45b4bbd1e4da5531d656",
    "trigger_type": "apigateway"
}

1.21.3 - 1.0

get /v1/triggers/{trigger_id}

Description

show a specific cloud-function trigger

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathtrigger_id
required
Trigger ID
Example : 1
integerNone

Responses

HTTP CodeDescriptionSchema
200OKTrigger
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/triggers/{trigger_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scf 1.0"

Example HTTP response

Response 200

{
    "alias": "$LATEST",
    "schedule": "* * * * 0",
    "timezone": "Asia/Tokyo",
    "trigger_id": 1,
    "trigger_name": "8c9f6c1c928a45b4bbd1e4da5531d656",
    "trigger_sid": "617b3d0e90c24a5fa1f65a3824861354",
    "trigger_target_account_id": "617b3d0e90c24a5fa1f65a3824861354",
    "trigger_target_srn": "srn:dev2::f32265726b694b32920aa3b111f4c715:::iam:user/9abd88ba08434777a8ca168e799eebbe",
    "trigger_target_uuid": "8c9f6c1c928a45b4bbd1e4da5531d656",
    "trigger_type": "apigateway"
}

1.22 - Update Cloud Function Code

1.22.1 - 1.2

put /v1/cloud-functions/{cloud_function_id}/codes

Description

update cloud-function code

State ACTIVE (CURRENT)

VersionSupported Until
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathcloud_function_id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone
bodybody
required

CodeSetRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedCode
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/{cloud_function_id}/codes

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scf 1.2"

Request body

{
    "content": "print(\"Hello World\")"
}

Example HTTP response

Response 202

{
    "class_name": "com.example.Handler",
    "code_text": "ZXhwb3J0cy5oYW5kbGVSZXF1ZXN0ID0gYXN5bmM==",
    "code_type": "text",
    "file_name": "sample",
    "file_transfer_status": "sample",
    "file_upload_at": "2025-05-17 00:23:17",
    "method_name": "handleRequest",
    "runtime": "Node.js:20"
}

1.22.2 - 1.1

put /v1/cloud-functions/{cloud_function_id}/codes

Description

update cloud-function code

State ACTIVE (DEPRECATED)

VersionSupported Until
1.120260430

Parameters

TypeNameDescriptionSchemaDefault
pathcloud_function_id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone
bodybody
required

CodeSetRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedCode
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/{cloud_function_id}/codes

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scf 1.1"

Request body

{
    "content": "print(\"Hello World\")"
}

Example HTTP response

Response 202

{
    "class_name": "com.example.Handler",
    "code_text": "ZXhwb3J0cy5oYW5kbGVSZXF1ZXN0ID0gYXN5bmM==",
    "code_type": "text",
    "file_name": "sample",
    "file_transfer_status": "sample",
    "file_upload_at": "2025-05-17 00:23:17",
    "method_name": "handleRequest",
    "runtime": "Node.js:20"
}

1.22.3 - 1.0

put /v1/cloud-functions/{cloud_function_id}/codes

Description

update cloud-function code

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathcloud_function_id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone
bodybody
required

CodeSetRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedCode
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/{cloud_function_id}/codes

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scf 1.0"

Request body

{
    "content": "print(\"Hello World\")"
}

Example HTTP response

Response 202

{
    "class_name": "com.example.Handler",
    "code_text": "ZXhwb3J0cy5oYW5kbGVSZXF1ZXN0ID0gYXN5bmM==",
    "code_type": "text",
    "file_name": "sample",
    "file_transfer_status": "sample",
    "file_upload_at": "2025-05-17 00:23:17",
    "method_name": "handleRequest",
    "runtime": "Node.js:20"
}

1.23 - Update Cloud Function Code File

1.23.1 - 1.2

put /v1/cloud-functions/{cloud_function_id}/codes/file

Description

update a specific cloud_function code file

State ACTIVE (CURRENT)

VersionSupported Until
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathcloud_function_id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone
bodybody
required

CodeFile

Responses

HTTP CodeDescriptionSchema
202AcceptedCode
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/{cloud_function_id}/codes/file

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scf 1.2"

Request body

{
    "class_name": "com.example.Handler",
    "method_name": "handleRequest",
    "obs_url": "https://obs.kr-east1.scp-in.com:8443/sample/java-sample-1.0-SNAPSHOT.jar"
}

Example HTTP response

Response 202

{
    "class_name": "com.example.Handler",
    "code_text": "ZXhwb3J0cy5oYW5kbGVSZXF1ZXN0ID0gYXN5bmM==",
    "code_type": "text",
    "file_name": "sample",
    "file_transfer_status": "sample",
    "file_upload_at": "2025-05-17 00:23:17",
    "method_name": "handleRequest",
    "runtime": "Node.js:20"
}

1.23.2 - 1.1

put /v1/cloud-functions/{cloud_function_id}/codes/file

Description

update a specific cloud_function code file

State ACTIVE (DEPRECATED)

VersionSupported Until
1.120260430

Parameters

TypeNameDescriptionSchemaDefault
pathcloud_function_id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone
bodybody
required

CodeFile

Responses

HTTP CodeDescriptionSchema
202AcceptedCode
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/{cloud_function_id}/codes/file

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scf 1.1"

Request body

{
    "class_name": "com.example.Handler",
    "method_name": "handleRequest",
    "obs_url": "https://obs.kr-east1.scp-in.com:8443/sample/java-sample-1.0-SNAPSHOT.jar"
}

Example HTTP response

Response 202

{
    "class_name": "com.example.Handler",
    "code_text": "ZXhwb3J0cy5oYW5kbGVSZXF1ZXN0ID0gYXN5bmM==",
    "code_type": "text",
    "file_name": "sample",
    "file_transfer_status": "sample",
    "file_upload_at": "2025-05-17 00:23:17",
    "method_name": "handleRequest",
    "runtime": "Node.js:20"
}

1.24 - Update Cloud Function Config

1.24.1 - 1.2

put /v1/cloud-functions/{cloud_function_id}/configurations/config

Description

update cloud-function config

State ACTIVE (CURRENT)

VersionSupported Until
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathcloud_function_id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone
bodybody
required

FunctionConfig

Responses

HTTP CodeDescriptionSchema
200OKFunctionConfig
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/{cloud_function_id}/configurations/config

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scf 1.2"

Request body

{
    "max_scale": "5",
    "memory": "256",
    "min_scale": "1",
    "timeout": "100"
}

Example HTTP response

Response 200

{
    "max_scale": "5",
    "memory": "256",
    "min_scale": "1",
    "timeout": "100"
}

1.24.2 - 1.1

put /v1/cloud-functions/{cloud_function_id}/configurations/config

Description

update cloud-function config

State ACTIVE (DEPRECATED)

VersionSupported Until
1.120260430

Parameters

TypeNameDescriptionSchemaDefault
pathcloud_function_id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone
bodybody
required

FunctionConfig

Responses

HTTP CodeDescriptionSchema
200OKFunctionConfig
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/{cloud_function_id}/configurations/config

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scf 1.1"

Request body

{
    "max_scale": "5",
    "memory": "256",
    "min_scale": "1",
    "timeout": "100"
}

Example HTTP response

Response 200

{
    "max_scale": "5",
    "memory": "256",
    "min_scale": "1",
    "timeout": "100"
}

1.24.3 - 1.0

put /v1/cloud-functions/{cloud_function_id}/configurations/config

Description

update cloud-function config

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathcloud_function_id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone
bodybody
required

FunctionConfig

Responses

HTTP CodeDescriptionSchema
200OKFunctionConfig
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/{cloud_function_id}/configurations/config

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scf 1.0"

Request body

{
    "max_scale": "5",
    "memory": "256",
    "min_scale": "1",
    "timeout": "100"
}

Example HTTP response

Response 200

{
    "max_scale": "5",
    "memory": "256",
    "min_scale": "1",
    "timeout": "100"
}

1.25 - Update Cloud Function Cronjob Trigger

1.25.1 - 1.2

put /v1/triggers/cronjob/{trigger_id}

Description

update cloud-function cronjob trigger

State ACTIVE (CURRENT)

VersionSupported Until
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathtrigger_id
required
Trigger ID
Example : 1
integerNone
bodybody
required

CronjobTriggerSetRequest

Responses

HTTP CodeDescriptionSchema
200OKTriggerUpdateResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/triggers/cronjob/{trigger_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scf 1.2"

Request body

{
    "cloud_function_id": "8c9f6c1c928a45b4bbd1e4da5531d656",
    "schedule": "* * * * 0",
    "timezone": "Asia/Tokyo"
}

Example HTTP response

Response 200

{
    "alias": "$LATEST",
    "cloud_function_id": "8c9f6c1c928a45b4bbd1e4da5531d656",
    "triggers": [
        {
            "schedule": "* * * * 0",
            "timezone": "Asia/Tokyo",
            "trigger_id": 1,
            "trigger_name": "8c9f6c1c928a45b4bbd1e4da5531d656",
            "trigger_target_account_id": "617b3d0e90c24a5fa1f65a3824861354",
            "trigger_target_srn": "srn:dev2::f32265726b694b32920aa3b111f4c715:::iam:user/9abd88ba08434777a8ca168e799eebbe",
            "trigger_target_uuid": "8c9f6c1c928a45b4bbd1e4da5531d656",
            "trigger_type": "apigateway"
        }
    ]
}

1.25.2 - 1.1

put /v1/triggers/cronjob/{trigger_id}

Description

update cloud-function cronjob trigger

State ACTIVE (DEPRECATED)

VersionSupported Until
1.120260430

Parameters

TypeNameDescriptionSchemaDefault
pathtrigger_id
required
Trigger ID
Example : 1
integerNone
bodybody
required

CronjobTriggerSetRequest

Responses

HTTP CodeDescriptionSchema
200OKTriggerUpdateResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/triggers/cronjob/{trigger_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scf 1.1"

Request body

{
    "cloud_function_id": "8c9f6c1c928a45b4bbd1e4da5531d656",
    "schedule": "* * * * 0",
    "timezone": "Asia/Tokyo"
}

Example HTTP response

Response 200

{
    "alias": "$LATEST",
    "cloud_function_id": "8c9f6c1c928a45b4bbd1e4da5531d656",
    "triggers": [
        {
            "schedule": "* * * * 0",
            "timezone": "Asia/Tokyo",
            "trigger_id": 1,
            "trigger_name": "8c9f6c1c928a45b4bbd1e4da5531d656",
            "trigger_target_account_id": "617b3d0e90c24a5fa1f65a3824861354",
            "trigger_target_srn": "srn:dev2::f32265726b694b32920aa3b111f4c715:::iam:user/9abd88ba08434777a8ca168e799eebbe",
            "trigger_target_uuid": "8c9f6c1c928a45b4bbd1e4da5531d656",
            "trigger_type": "apigateway"
        }
    ]
}

1.25.3 - 1.0

put /v1/triggers/cronjob/{trigger_id}

Description

update cloud-function cronjob trigger

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathtrigger_id
required
Trigger ID
Example : 1
integerNone
bodybody
required

CronjobTriggerSetRequest

Responses

HTTP CodeDescriptionSchema
200OKTriggerUpdateResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/triggers/cronjob/{trigger_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scf 1.0"

Request body

{
    "cloud_function_id": "8c9f6c1c928a45b4bbd1e4da5531d656",
    "schedule": "* * * * 0",
    "timezone": "Asia/Tokyo"
}

Example HTTP response

Response 200

{
    "alias": "$LATEST",
    "cloud_function_id": "8c9f6c1c928a45b4bbd1e4da5531d656",
    "triggers": [
        {
            "schedule": "* * * * 0",
            "timezone": "Asia/Tokyo",
            "trigger_id": 1,
            "trigger_name": "8c9f6c1c928a45b4bbd1e4da5531d656",
            "trigger_target_account_id": "617b3d0e90c24a5fa1f65a3824861354",
            "trigger_target_srn": "srn:dev2::f32265726b694b32920aa3b111f4c715:::iam:user/9abd88ba08434777a8ca168e799eebbe",
            "trigger_target_uuid": "8c9f6c1c928a45b4bbd1e4da5531d656",
            "trigger_type": "apigateway"
        }
    ]
}

1.26 - Update Cloud Function Url

1.26.1 - 1.2

put /v1/cloud-functions/{cloud_function_id}/configurations/url

Description

update cloud-function url

State ACTIVE (CURRENT)

VersionSupported Until
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathcloud_function_id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone
bodybody
required

FunctionUrlRequest

Responses

HTTP CodeDescriptionSchema
200OKFunctionUrl
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/{cloud_function_id}/configurations/url

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scf 1.2"

Request body

{
    "allow_ips": [],
    "auth_type": "NONE",
    "public_ip_acl_enabled": true,
    "url_enabled": true
}

Example HTTP response

Response 200

{
    "allow_ips": [
        ""
    ],
    "auth_type": "NONE",
    "public_endpoint_url": "https://scf.33b532c466824bcf9324101a3c6f3015.kr-west1.dev2.samsungsdscloud.com/sample-function",
    "public_ip_acl_enabled": true,
    "url_enabled": true
}

1.26.2 - 1.1

put /v1/cloud-functions/{cloud_function_id}/configurations/url

Description

update cloud-function url

State ACTIVE (DEPRECATED)

VersionSupported Until
1.120260430

Parameters

TypeNameDescriptionSchemaDefault
pathcloud_function_id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone
bodybody
required

FunctionUrlRequest

Responses

HTTP CodeDescriptionSchema
200OKFunctionUrl
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/{cloud_function_id}/configurations/url

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scf 1.1"

Request body

{
    "allow_ips": [],
    "auth_type": "NONE",
    "public_ip_acl_enabled": true,
    "url_enabled": true
}

Example HTTP response

Response 200

{
    "allow_ips": [
        ""
    ],
    "auth_type": "NONE",
    "public_endpoint_url": "https://scf.33b532c466824bcf9324101a3c6f3015.kr-west1.dev2.samsungsdscloud.com/sample-function",
    "public_ip_acl_enabled": true,
    "url_enabled": true
}

1.26.3 - 1.0

put /v1/cloud-functions/{cloud_function_id}/configurations/url

Description

update cloud-function url

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathcloud_function_id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone
bodybody
required

FunctionUrlRequest

Responses

HTTP CodeDescriptionSchema
200OKFunctionUrl
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/{cloud_function_id}/configurations/url

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scf 1.0"

Request body

{
    "allow_ips": [],
    "auth_type": "NONE",
    "public_ip_acl_enabled": true,
    "url_enabled": true
}

Example HTTP response

Response 200

{
    "allow_ips": [
        ""
    ],
    "auth_type": "NONE",
    "public_endpoint_url": "https://scf.33b532c466824bcf9324101a3c6f3015.kr-west1.dev2.samsungsdscloud.com/sample-function",
    "public_ip_acl_enabled": true,
    "url_enabled": true
}

1.27 - Update Cloud Function Variables

1.27.1 - 1.2

put /v1/cloud-functions/{cloud_function_id}/configurations/environment-variables

Description

update cloud-function variables

State ACTIVE (CURRENT)

VersionSupported Until
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathcloud_function_id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone
bodybody
required

FunctionVariables

Responses

HTTP CodeDescriptionSchema
200OKFunctionVariables
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/{cloud_function_id}/configurations/environment-variables

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scf 1.2"

Request body

{
    "variables": [
        {
            "key": "sample",
            "value": "sample"
        }
    ]
}

Example HTTP response

Response 200

{
    "variables": [
        {
            "key": "sample",
            "value": "sample"
        }
    ]
}

1.27.2 - 1.1

put /v1/cloud-functions/{cloud_function_id}/configurations/environment-variables

Description

update cloud-function variables

State ACTIVE (DEPRECATED)

VersionSupported Until
1.120260430

Parameters

TypeNameDescriptionSchemaDefault
pathcloud_function_id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone
bodybody
required

FunctionVariables

Responses

HTTP CodeDescriptionSchema
200OKFunctionVariables
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/{cloud_function_id}/configurations/environment-variables

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scf 1.1"

Request body

{
    "variables": [
        {
            "key": "sample",
            "value": "sample"
        }
    ]
}

Example HTTP response

Response 200

{
    "variables": [
        {
            "key": "sample",
            "value": "sample"
        }
    ]
}

1.27.3 - 1.0

put /v1/cloud-functions/{cloud_function_id}/configurations/environment-variables

Description

update cloud-function variables

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathcloud_function_id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone
bodybody
required

FunctionVariables

Responses

HTTP CodeDescriptionSchema
200OKFunctionVariables
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/{cloud_function_id}/configurations/environment-variables

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scf 1.0"

Request body

{
    "variables": [
        {
            "key": "sample",
            "value": "sample"
        }
    ]
}

Example HTTP response

Response 200

{
    "variables": [
        {
            "key": "sample",
            "value": "sample"
        }
    ]
}

1.28 - Update PrivateLink Service

1.28.1 - 1.2

put /v1/cloud-functions/{cloud_function_id}/configurations/privatelink-services

Description

update PrivateLink Service

State ACTIVE (CURRENT)

VersionSupported Until
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathcloud_function_id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone
bodybody
required

PrivateLinkServicePutRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedPrivateLinkService
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/{cloud_function_id}/configurations/privatelink-services

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scf 1.2"

Request body

{
    "privatelink_service_enabled": true
}

Example HTTP response

Response 202

{
    "private_url": "https://sample.scf.private.kr-west1.e.samsungsdscloud.com",
    "privatelink_service_enabled": true,
    "privatelink_service_id": "ba30549f550141ef9af6546543s",
    "privatelink_service_name": "PRIVATELINKSERVICE",
    "requested_endpoints": []
}

2 - Models

2.1 - ApigatewayTriggerCreateRequest

NameDescriptionSchemaDefault
apigateway_api_id
required
Apigateway API ID
Example : 31e749b7b260868f441e862b
Pattern : ^[0-9a-f]{24}$
string
apigateway_stage_name
required
Apigateway Stage Name
Example : sample
Pattern : ^[a-z0-9\-]+$
string
cloud_function_id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
Pattern : ^[0-9a-f]{32}$
string

2.2 - CloudFunction

NameDescriptionSchemaDefault
account_id
required
Account ID
Example : 617b3d0e90c24a5fa1f65a3824861354
string
function_url
required
Cloud function Url
Example : https://33b532c466824bcf9324101a3c6f3015.kr-west1.dev2.samsungsdscloud.com/cloudfunctions-hello
any of [string, null]
id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
string
name
required
Cloud Functions name
Example : sample
string
runtime
required
Runtime
Example : Node.js:20
string
state
required
Cloud function state
Example : READY
string
user_id
required
User ID
Example : 617b3d0e90c24a5fa1f65a3824861354
string

2.3 - CloudFunctionCreateRequest

NameDescriptionSchemaDefault
content
required
Code content
Example : sample
string
name
required
Name
Example : sample-function-name
Pattern : ^[a-z][a-z0-9-]*$
Minimum length : 3
Maximum length : 64
string
runtime
required
Runtime
Example : Node.js:20
string
tags
optional
Tag List
any of [array[Tag], null]

2.4 - CloudFunctionCreateResponse

NameDescriptionSchemaDefault
id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
string
message
required
Description
Example : Description
string
state
required
Cloud function state
Example : READY
string

2.5 - CloudFunctionForList

NameDescriptionSchemaDefault
account_id
required
Account ID
Example : 617b3d0e90c24a5fa1f65a3824861354
string
created_at
required
Created At
Example : 2025-05-22T06:21:17.580522
string (date-time)
function_url
required
Cloud function Url
Example : https://33b532c466824bcf9324101a3c6f3015.kr-west1.dev2.samsungsdscloud.com/cloudfunctions-hello
any of [string, null]
id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
string
name
required
Cloud Functions name
Example : sample
string
runtime
required
Runtime
Example : Node.js:20
string
state
required
Cloud function state
Example : READY
string
user_id
required
User ID
Example : 617b3d0e90c24a5fa1f65a3824861354
string

2.6 - CloudFunctionListResponse

NameDescriptionSchemaDefault
cloud_functions
required
Contents
array[CloudFunctionForList]
count
required
Count
Example : 20
integer

2.7 - CloudFunctionShowResponse

NameDescriptionSchemaDefault
cloud_function
required

CloudFunction

2.8 - Code

NameDescriptionSchemaDefault
class_name
optional
Class Name
Example : com.example.Handler
any of [string, null]
code_text
optional
Code Text
Example : ZXhwb3J0cy5oYW5kbGVSZXF1ZXN0ID0gYXN5bmM==
any of [string, null]
code_type
required
Code Type
Example : text
string
file_name
optional
File Name
Example : sample
any of [string, null]
file_transfer_status
optional
File Transfer Status
Example : sample
any of [string, null]
file_upload_at
optional
File Upload At
Example : 2025-05-17 00:23:17
any of [string, null]
method_name
optional
Method Name
Example : handleRequest
any of [string, null]
runtime
required
Runtime
Example : Node.js:20
string

2.9 - CodeFile

NameDescriptionSchemaDefault
class_name
required
Class Name
Example : com.example.Handler
string
method_name
required
Method Name
Example : handleRequest
string
obs_url
optional
Object Storage URL
Example : https://obs.kr-east1.scp-in.com:8443/sample/java-sample-1.0-SNAPSHOT.jar
any of [string, null]

2.10 - CodeSetRequest

NameDescriptionSchemaDefault
content
required
Code content
Example : print("Hello World")
string

2.11 - Configuration

NameDescriptionSchemaDefault
config
required
Configuration
FunctionConfig
url
required
Function URL
FunctionUrl
variables
optional
Environment Variables
any of [array[FunctionVariable], null]

2.12 - ConfigurationV1Dot2

NameDescriptionSchemaDefault
config
required
Configuration
FunctionConfig
privatelink_endpoints
optional
Endpoints
any of [array[Endpoint], null]
privatelink_service
optional
PrivateLink Service
any of [PrivateLinkService, null]
url
required
Function URL
FunctionUrl
variables
optional
Environment Variables
any of [array[FunctionVariable], null]

2.13 - CronjobTriggerCreateRequest

NameDescriptionSchemaDefault
cloud_function_id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
Pattern : ^[0-9a-f]{32}$
string
schedule
required
Schedule
Example : * * * * 0
string
timezone
required
Timezone
Example : Asia/Tokyo
string

2.14 - CronjobTriggerSetRequest

NameDescriptionSchemaDefault
cloud_function_id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
Pattern : ^[0-9a-f]{32}$
string
schedule
required
Schedule
Example : * * * * 0
string
timezone
required
Timezone
Example : Asia/Tokyo
string

2.15 - DuplicationShowResponse

NameDescriptionSchemaDefault
result
required
Result
Example : True
boolean

2.16 - Endpoint

NameDescriptionSchemaDefault
endpoint_alias
optional
Alias
Example : sample
any of [string, null]
endpoint_id
required
Endpoint Id
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
string
service_id
optional
Service Id
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
any of [string, null]
state
required
State
Example : Active
string

2.17 - EndpointCreateRequest

NameDescriptionSchemaDefault
alias
required
Alias
Example : sample
string
service_id
required
Service Id
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
string

2.18 - FunctionConfig

NameDescriptionSchemaDefault
max_scale
required
Max Scale
Example : 5
integer
memory
required
Memory
Example : 256
integer
min_scale
required
Min Scale
Example : 1
integer
timeout
required
Timeout
Example : 100
integer

2.19 - FunctionUrl

NameDescriptionSchemaDefault
allow_ips
optional
Allow Ips
Example :
any of [array[string], null]
auth_type
optional
Auth Type
Example : NONE
any of [string, null]
public_endpoint_url
optional
Public Endpoint Url
Example : https://scf.33b532c466824bcf9324101a3c6f3015.kr-west1.dev2.samsungsdscloud.com/sample-function
any of [string, null]
public_ip_acl_enabled
optional
Public IP ACL Enabled
Example : True
any of [boolean, null]
url_enabled
required
URL Enabled
Example : True
boolean

2.20 - FunctionUrlRequest

NameDescriptionSchemaDefault
allow_ips
optional
Allow Ips
Example :
any of [array[string], null]
auth_type
optional
Auth Type
Example : NONE
any of [string, null]
public_ip_acl_enabled
required
Public IP ACL Enabled
Example : True
boolean
url_enabled
required
URL Enabled
Example : True
boolean

2.21 - FunctionVariable

NameDescriptionSchemaDefault
key
required
Key
Example : sample
string
value
required
Value
Example : sample
string

2.22 - FunctionVariables

NameDescriptionSchemaDefault
variables
required
Environment Variables
array[FunctionVariable]

2.23 - Log

NameDescriptionSchemaDefault
log
required
Log
Example : [2025-05-12 11:04:12] START RequestId : 04680bac - ad76-4e0a-997e-e35b6275cb67 Version : $LATEST
string
time
required
Time
Example : 2025-05-17 00:23:17
string

2.24 - LogShowResponse

NameDescriptionSchemaDefault
count
required
Count
Example : 3
integer
logs
required
Log
array[Log]

2.25 - Metric

NameDescriptionSchemaDefault
metric_data
required
Metric Data
Example : 1.0033444816053512
object
time
required
Time
Example : 16:37
string

2.26 - MetricShowResponse

NameDescriptionSchemaDefault
actual_pods
required
Actual pods
array[Metric]
fail_count
required
Fail count
array[Metric]
function_memory
required
Function memory
array[Metric]
request_count
required
Request count
array[Metric]
request_latency
required
Request latency
array[Metric]
success_count
required
Success count
array[Metric]

2.27 - PrivateLinkEndpoint

NameDescriptionSchemaDefault
endpoint
required
Endpoint
Endpoint

2.28 - PrivateLinkEndpointApproval

NameDescriptionSchemaDefault
type
required
Type
Example : APPROVE
enum (APPROVE, REJECT)

2.29 - PrivateLinkEndpointConnection

NameDescriptionSchemaDefault
type
required
Type
Example : RECONNECT
enum (DISCONNECT, RECONNECT)

2.30 - PrivateLinkEndpointCreateRequest

NameDescriptionSchemaDefault
endpoint
required
Endpoint
EndpointCreateRequest

2.31 - PrivateLinkEndpointRequest

NameDescriptionSchemaDefault
type
required
Type
Example : CANCEL
enum (CANCEL, RE_REQUEST)

2.32 - PrivateLinkService

NameDescriptionSchemaDefault
private_url
optional
Private Url
Example : https://sample.scf.private.kr-west1.e.samsungsdscloud.com
any of [string, null]
privatelink_service_enabled
required
PrivateLink Service Enabled
Example : True
boolean
privatelink_service_id
optional
PrivateLink Service ID
Example : ba30549f550141ef9af6546543s
any of [string, null]
privatelink_service_name
optional
PrivateLink Service Name
Example : PRIVATELINKSERVICE
any of [string, null]
requested_endpoints
optional
Endpoint
any of [array[Endpoint], null]

2.33 - PrivateLinkServicePutRequest

NameDescriptionSchemaDefault
privatelink_service_enabled
required
PrivateLink Service Enabled
Example : True
boolean

2.34 - Runtime

NameDescriptionSchemaDefault
base_image_seq
required
Base image sequence
Example : 3
integer
name
required
Name
Example : sample
string
version
required
Version
Example : 1.0.0
string

2.35 - RuntimeListResponse

NameDescriptionSchemaDefault
count
required
Count
Example : 3
integer
runtimes
required
Runtimes List
array[Runtime]

2.36 - SampleCode

NameDescriptionSchemaDefault
content
required
Code content
Example : sample
string
default
required
Default
Example : False
boolean
description
required
Description
Example : sample
string
name
required
Name
Example : sample
string
runtime
required
Runtime
Example : Node.js:20
string
seq
required
Sequence
Example : 3
integer
version
required
Version
Example : sample
string

2.37 - SampleCodesListResponse

NameDescriptionSchemaDefault
count
required
Count
Example : 3
integer
sample_codes
required
Sample Codes List
array[SampleCode]

2.38 - Tag

NameDescriptionSchemaDefault
key
required
Tag Key
Example :
string
value
required
Tag Value
Example :
any of [string, null]

2.39 - Trigger

NameDescriptionSchemaDefault
alias
required
Alias
Example : $LATEST
string
schedule
optional
Schedule
Example : * * * * 0
any of [string, null]
timezone
optional
Timezone
Example : Asia/Tokyo
any of [string, null]
trigger_id
required
Trigger ID
Example : 1
integer
trigger_name
required
Trigger name
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
string
trigger_sid
required
Trigger target account ID
Example : 617b3d0e90c24a5fa1f65a3824861354
any of [string, null]
trigger_target_account_id
required
Trigger target account ID
Example : 617b3d0e90c24a5fa1f65a3824861354
any of [string, null]
trigger_target_srn
required
Trigger target SRN
Example : srn:dev2::f32265726b694b32920aa3b111f4c715:::iam:user/9abd88ba08434777a8ca168e799eebbe
any of [string, null]
trigger_target_uuid
required
Trigger target UUID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
any of [string, null]
trigger_type
required
Trigger type
Example : apigateway
string

2.40 - TriggerCreateResponse

NameDescriptionSchemaDefault
alias
optional
Alias
Example : $LATEST
any of [string, null]
cloud_function_id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
string
triggers
required
Triggers
array[TriggerForList]

2.41 - TriggerDeleteRequest

NameDescriptionSchemaDefault
cloud_function_id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
Pattern : ^[0-9a-f]{32}$
string
trigger_type
required
Trigger type
Example : apigateway
string

2.42 - TriggerForList

NameDescriptionSchemaDefault
schedule
optional
Schedule
Example : * * * * 0
any of [string, null]
timezone
optional
Timezone
Example : Asia/Tokyo
any of [string, null]
trigger_id
optional
Trigger ID
Example : 1
any of [integer, null]
trigger_name
[...]
